/**
 * Created by TonyJiang on 16/5/3.
 */
import PluginTestUtil from 'chanjet-plugin-base/dist/PluginTestUtil';
import GeoPluginChanjet from '../src/chanjet'

const pluginName = 'Location';

const methodName = {
    getLocation : 'getLocation',
    displayNearby : 'displayNearby'
};

const instance = new GeoPluginChanjet();
const testUtil = new PluginTestUtil();
testUtil.init(cordova);


describe('GeoPluginChanjet 单元测试' , () => {


    //getLocation 通用测试
    testUtil.commonTest({
        funcName : 'getLocation',
        func : instance.getLocation.bind(instance),
        pluginName : pluginName,
        methodName : methodName.getLocation,
        validateParams : []
    });


    //displayNearBy 通用测试
    testUtil.commonTest({
        funcName : 'displayNearBy',
        func : instance.displayNearby.bind(instance),
        pluginName : pluginName,
        methodName : methodName.displayNearby,
        validateParams : ['longitude' , 'latitude'],
        params : {longitude : 1 , latitude : 1}
    });

});