'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class; /**
             * Created by tonyjiang on 16/3/14.
             */


var _interface = require('../interface');

var _interface2 = _interopRequireDefault(_interface);

var _chanjetPluginBase = require('chanjet-plugin-base');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// import {MockDecorator} from '../../../chanjet-plugin-base/src/index'
//import {PluginMock} from '../../../chanjet-plugins/src/index'

/**
 * 短信插件mock实现类
 * @extends PluginMock,SMSPlugin
 */
var GeoPluginMock = (0, _chanjetPluginBase.MockDecorator)(_class = function (_GeoPlugin) {
    _inherits(GeoPluginMock, _GeoPlugin);

    function GeoPluginMock() {
        _classCallCheck(this, GeoPluginMock);

        return _possibleConstructorReturn(this, (GeoPluginMock.__proto__ || Object.getPrototypeOf(GeoPluginMock)).apply(this, arguments));
    }

    _createClass(GeoPluginMock, [{
        key: 'getLocation',
        value: function getLocation() {
            var callback = arguments.length <= 0 || arguments[0] === undefined ? function () {} : arguments[0];
            var _mockData$getLocation = this.mockData.getLocation;
            var status = _mockData$getLocation.status;
            var data = _mockData$getLocation.data;
            var message = _mockData$getLocation.message;


            if (status == 'success') {

                data.latitude = parseFloat(data.latitude);
                data.longitude = parseFloat(data.longitude);

                callback({
                    resultCode: 0,
                    message: '',
                    body: {
                        data: data
                    }
                });
            } else {
                callback({
                    resultCode: 1,
                    message: message,
                    body: {}
                });
            }
        }
    }, {
        key: 'displayNearby',
        value: function displayNearby(options) {
            var callback = arguments.length <= 1 || arguments[1] === undefined ? function () {} : arguments[1];
            var _mockData$displayNear = this.mockData.displayNearby;
            var status = _mockData$displayNear.status;
            var data = _mockData$displayNear.data;
            var message = _mockData$displayNear.message;


            if (status == 'success') {

                data.latitude = parseFloat(data.latitude);
                data.longitude = parseFloat(data.longitude);

                callback({
                    resultCode: 0,
                    message: '',
                    body: {
                        data: data
                    }
                });
            } else {
                callback({
                    resultCode: 1,
                    message: message,
                    body: {}
                });
            }
        }
    }]);

    return GeoPluginMock;
}(_interface2.default)) || _class;

exports.default = GeoPluginMock;