/**
 * Created by tonyjiang on 16/3/14.
 */
import GeoPlugin from '../interface'
import {MockDecorator} from 'chanjet-plugin-base'
// import {MockDecorator} from '../../../chanjet-plugin-base/src/index'
//import {PluginMock} from '../../../chanjet-plugins/src/index'

/**
 * 短信插件mock实现类
 * @extends PluginMock,SMSPlugin
 */
@MockDecorator
class GeoPluginMock extends GeoPlugin{

    getLocation(callback = () => {}){

        const {status , data , message} = this.mockData.getLocation;

        if(status == 'success'){

            data.latitude = parseFloat(data.latitude);
            data.longitude = parseFloat(data.longitude);


            callback({
                resultCode : 0,
                message : '',
                body : {
                    data : data
                }
            })
        }else{
            callback({
                resultCode : 1,
                message : message,
                body : {}
            })
        }

    }

    displayNearby(options , callback = () => {}){
        const {status , data , message} = this.mockData.displayNearby;

        if(status == 'success'){

            data.latitude = parseFloat(data.latitude);
            data.longitude = parseFloat(data.longitude);

            callback({
                resultCode : 0,
                message : '',
                body : {
                    data : data
                }
            })
        }else{
            callback({
                resultCode : 1,
                message : message,
                body : {}
            })
        }

    }


}

export default GeoPluginMock